/*
   Copyright 2012 YuGiOhJCJ.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
   */
#ifndef Clock_h
#define Clock_h
#include <QString>
#include <QLabel>
#include <QWidget>
#include <QVBoxLayout>
#include <QTimer>
class Clock: public QWidget
{
	Q_OBJECT
	private:
		QLabel qlabel;
		QVBoxLayout qvboxlayout;
		QTimer qtimer;
	public:
		Clock();
		QString createString();
	public slots:
		int update();
};
#endif
